<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:16 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.auth.AuthenticationException (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.auth.AuthenticationException (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/auth//class-useAuthenticationException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AuthenticationException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.auth.AuthenticationException</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.auth"><B>org.apache.http.auth</B></A></TD>
<TD>The API for client-side HTTP authentication against a server.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.client"><B>org.apache.http.client</B></A></TD>
<TD>The API for client-side HTTP communication.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.auth"><B>org.apache.http.impl.auth</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/auth/package-summary.html"><CODE>org.apache.http.auth</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.client"><B>org.apache.http.impl.client</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/auth/package-summary.html"><CODE>org.apache.http.client</CODE></A>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.auth"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/auth/package-summary.html">org.apache.http.auth</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subclasses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/auth/package-summary.html">org.apache.http.auth</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/auth/InvalidCredentialsException.html" title="class in org.apache.http.auth">InvalidCredentialsException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Authentication credentials required to respond to a authentication
 challenge are invalid</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/auth/package-summary.html">org.apache.http.auth</A> that throw <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>AuthScheme.</B><B><A HREF="../../../../../org/apache/http/auth/AuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1)  Use <A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>ContextAwareAuthScheme.</B><B><A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces an authorization string for the given set of
 <A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth"><CODE>Credentials</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.client"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/client/package-summary.html">org.apache.http.client</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/client/package-summary.html">org.apache.http.client</A> that throw <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/auth/AuthScheme.html" title="interface in org.apache.http.auth">AuthScheme</A></CODE></FONT></TD>
<TD><CODE><B>AuthenticationHandler.</B><B><A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html#selectScheme(java.util.Map, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">selectScheme</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&gt;&nbsp;challenges,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Selects one authentication challenge out of all available and
 creates and generates <A HREF="../../../../../org/apache/http/auth/AuthScheme.html" title="interface in org.apache.http.auth"><CODE>AuthScheme</CODE></A> instance capable of
 processing that challenge.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.auth"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/impl/auth/package-summary.html">org.apache.http.impl.auth</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subclasses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/impl/auth/package-summary.html">org.apache.http.impl.auth</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMEngineException.html" title="class in org.apache.http.impl.auth">NTLMEngineException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Signals NTLM protocol failure.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/auth/package-summary.html">org.apache.http.impl.auth</A> that throw <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>NegotiateScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/NegotiateScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>NTLMScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>GGSSchemeBase.</B><B><A HREF="../../../../../org/apache/http/impl/auth/GGSSchemeBase.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) Use <A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>DigestScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/DigestScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) Use <A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>BasicScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/BasicScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) Use <A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>AuthSchemeBase.</B><B><A HREF="../../../../../org/apache/http/impl/auth/AuthSchemeBase.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>NegotiateScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/NegotiateScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Produces Negotiate authorization Header based on token created by
 processChallenge.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>KerberosScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces KERBEROS authorization Header based on token created by
 processChallenge.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>SPNegoScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/SPNegoScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces SPNEGO authorization Header based on token created by
 processChallenge.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>GGSSchemeBase.</B><B><A HREF="../../../../../org/apache/http/impl/auth/GGSSchemeBase.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>DigestScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/DigestScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces a digest authorization string for the given set of
 <A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth"><CODE>Credentials</CODE></A>, method name and URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>BasicScheme.</B><B><A HREF="../../../../../org/apache/http/impl/auth/BasicScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">authenticate</A></B>(<A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth">Credentials</A>&nbsp;credentials,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces basic authorization header for the given set of <A HREF="../../../../../org/apache/http/auth/Credentials.html" title="interface in org.apache.http.auth"><CODE>Credentials</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.client"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A> in <A HREF="../../../../../org/apache/http/impl/client/package-summary.html">org.apache.http.impl.client</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/client/package-summary.html">org.apache.http.impl.client</A> that throw <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth">AuthenticationException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/auth/AuthScheme.html" title="interface in org.apache.http.auth">AuthScheme</A></CODE></FONT></TD>
<TD><CODE><B>AbstractAuthenticationHandler.</B><B><A HREF="../../../../../org/apache/http/impl/client/AbstractAuthenticationHandler.html#selectScheme(java.util.Map, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">selectScheme</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&gt;&nbsp;challenges,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/auth//class-useAuthenticationException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AuthenticationException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
